## org.metaabm.function.impl
Class MetaABMFunctionPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.metaabm.function.impl.MetaABMFunctionPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, MetaABMFunctionPackage

    public class MetaABMFunctionPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements MetaABMFunctionPackage

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.metaabm.function.MetaABMFunctionPackage
`MetaABMFunctionPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.metaabm.function.MetaABMFunctionPackage

`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FARGUMENT_ARRAY_PROTOTYPE, FARGUMENT_ARRAY_PROTOTYPE__DESCRIPTION, FARGUMENT_ARRAY_PROTOTYPE__ID, FARGUMENT_ARRAY_PROTOTYPE__INPUT_FUNCTION, FARGUMENT_ARRAY_PROTOTYPE__LABEL, FARGUMENT_ARRAY_PROTOTYPE__OPTIONAL, FARGUMENT_ARRAY_PROTOTYPE__OUTPUT_FUNCTION, FARGUMENT_ARRAY_PROTOTYPE__PLURAL_LABEL, FARGUMENT_ARRAY_PROTOTYPE__SIZE, FARGUMENT_ARRAY_PROTOTYPE__STYPE, FARGUMENT_ARRAY_PROTOTYPE_FEATURE_COUNT, FARGUMENT_PROTOTYPE, FARGUMENT_PROTOTYPE__DESCRIPTION, FARGUMENT_PROTOTYPE__ID, FARGUMENT_PROTOTYPE__INPUT_FUNCTION, FARGUMENT_PROTOTYPE__LABEL, FARGUMENT_PROTOTYPE__OPTIONAL, FARGUMENT_PROTOTYPE__OUTPUT_FUNCTION, FARGUMENT_PROTOTYPE__PLURAL_LABEL, FARGUMENT_PROTOTYPE__STYPE, FARGUMENT_PROTOTYPE_FEATURE_COUNT, FFUNCTION, FFUNCTION__AVAILABLE_TYPES, FFUNCTION__ID, FFUNCTION__INPUT_PROTOTYPES, FFUNCTION__LABEL, FFUNCTION__MULTI_VALUE, FFUNCTION_FEATURE_COUNT, FGENERIC, FGENERIC__AVAILABLE_TYPES, FGENERIC__DESCRIPTION, FGENERIC__ID, FGENERIC__INPUT_PROTOTYPES, FGENERIC__LABEL, FGENERIC__MULTI_VALUE, FGENERIC__PLURAL_LABEL, FGENERIC_FEATURE_COUNT, FGENERIC_FUNCTION, FGENERIC_FUNCTION__AVAILABLE_TYPES, FGENERIC_FUNCTION__DESCRIPTION, FGENERIC_FUNCTION__ID, FGENERIC_FUNCTION__INPUT_PROTOTYPES, FGENERIC_FUNCTION__LABEL, FGENERIC_FUNCTION__MULTI_VALUE, FGENERIC_FUNCTION__OUTPUT_PROTOTYPES, FGENERIC_FUNCTION__PLURAL_LABEL, FGENERIC_FUNCTION_FEATURE_COUNT, FGENERIC_LOGICAL, FGENERIC_LOGICAL__AVAILABLE_TYPES, FGENERIC_LOGICAL__DESCRIPTION, FGENERIC_LOGICAL__ID, FGENERIC_LOGICAL__INPUT_PROTOTYPES, FGENERIC_LOGICAL__LABEL, FGENERIC_LOGICAL__MULTI_VALUE, FGENERIC_LOGICAL__PLURAL_LABEL, FGENERIC_LOGICAL_FEATURE_COUNT, FIMPLEMENTED_LIBRARY, FIMPLEMENTED_LIBRARY__DESCRIPTION, FIMPLEMENTED_LIBRARY__FUNCTIONS, FIMPLEMENTED_LIBRARY__ID, FIMPLEMENTED_LIBRARY__IMPLEMENTATION, FIMPLEMENTED_LIBRARY__LABEL, FIMPLEMENTED_LIBRARY__PARENT, FIMPLEMENTED_LIBRARY__PLURAL_LABEL, FIMPLEMENTED_LIBRARY__SUBS, FIMPLEMENTED_LIBRARY_FEATURE_COUNT, FLIBRARY, FLIBRARY__DESCRIPTION, FLIBRARY__FUNCTIONS, FLIBRARY__ID, FLIBRARY__LABEL, FLIBRARY__PLURAL_LABEL, FLIBRARY__SUBS, FLIBRARY_FEATURE_COUNT, FLOGICAL, FLOGICAL__AVAILABLE_TYPES, FLOGICAL__ID, FLOGICAL__INPUT_PROTOTYPES, FLOGICAL__LABEL, FLOGICAL__MULTI_VALUE, FLOGICAL_FEATURE_COUNT, FLOGICAL_OPERATOR, FLOGICAL_OPERATOR__ARITY, FLOGICAL_OPERATOR__AVAILABLE_TYPES, FLOGICAL_OPERATOR__DESCRIPTION, FLOGICAL_OPERATOR__ID, FLOGICAL_OPERATOR__INPUT_PROTOTYPES, FLOGICAL_OPERATOR__LABEL, FLOGICAL_OPERATOR__MULTI_VALUE, FLOGICAL_OPERATOR__PLURAL_LABEL, FLOGICAL_OPERATOR__SYMBOL, FLOGICAL_OPERATOR_FEATURE_COUNT, FMULTI_ARGUMENT_PROTOTYPE, FMULTI_ARGUMENT_PROTOTYPE__DESCRIPTION, FMULTI_ARGUMENT_PROTOTYPE__ID, FMULTI_ARGUMENT_PROTOTYPE__INPUT_FUNCTION, FMULTI_ARGUMENT_PROTOTYPE__LABEL, FMULTI_ARGUMENT_PROTOTYPE__OPTIONAL, FMULTI_ARGUMENT_PROTOTYPE__OUTPUT_FUNCTION, FMULTI_ARGUMENT_PROTOTYPE__PLURAL_LABEL, FMULTI_ARGUMENT_PROTOTYPE__STYPE, FMULTI_ARGUMENT_PROTOTYPE_FEATURE_COUNT, FOPERATOR, FOPERATOR__ARITY, FOPERATOR__AVAILABLE_TYPES, FOPERATOR__DESCRIPTION, FOPERATOR__ID, FOPERATOR__INPUT_PROTOTYPES, FOPERATOR__LABEL, FOPERATOR__MULTI_VALUE, FOPERATOR__PLURAL_LABEL, FOPERATOR__SYMBOL, FOPERATOR_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `fixInstanceClass(org.eclipse.emf.ecore.EClassifier eClassifier)` Sets the instance class on the given classifier.
`void` `fixPackageContents()` Fixes up the loaded package, to make it appear as if it had been programmatically built.
`org.eclipse.emf.ecore.EClass` `getFArgumentArrayPrototype()`
`org.eclipse.emf.ecore.EReference` `getFArgumentPrototype_InputFunction()`
`org.eclipse.emf.ecore.EAttribute` `getFArgumentPrototype_Optional()`
`org.eclipse.emf.ecore.EReference` `getFArgumentPrototype_OutputFunction()`
`org.eclipse.emf.ecore.EClass` `getFArgumentPrototype()`
`org.eclipse.emf.ecore.EAttribute` `getFFunction_AvailableTypes()`
`org.eclipse.emf.ecore.EReference` `getFFunction_InputPrototypes()`
`org.eclipse.emf.ecore.EAttribute` `getFFunction_MultiValue()`
`org.eclipse.emf.ecore.EClass` `getFFunction()`
`org.eclipse.emf.ecore.EClass` `getFGeneric()`
`org.eclipse.emf.ecore.EReference` `getFGenericFunction_OutputPrototypes()`
`org.eclipse.emf.ecore.EClass` `getFGenericFunction()`
`org.eclipse.emf.ecore.EClass` `getFGenericLogical()`
`org.eclipse.emf.ecore.EClass` `getFImplementedLibrary()`
`org.eclipse.emf.ecore.EReference` `getFLibrary_Functions()`
`org.eclipse.emf.ecore.EReference` `getFLibrary_Subs()`
`org.eclipse.emf.ecore.EClass` `getFLibrary()`
`org.eclipse.emf.ecore.EClass` `getFLogical()`
`org.eclipse.emf.ecore.EClass` `getFLogicalOperator()`
`org.eclipse.emf.ecore.EClass` `getFMultiArgumentPrototype()`
`org.eclipse.emf.ecore.EAttribute` `getFOperator_Arity()`
`org.eclipse.emf.ecore.EAttribute` `getFOperator_Symbol()`
`org.eclipse.emf.ecore.EClass` `getFOperator()`
`MetaABMFunctionFactory` `getMetaABMFunctionFactory()`
`static MetaABMFunctionPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static MetaABMFunctionPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `MetaABMFunctionPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `MetaABMFunctionPackage.eNS_URI`

### getFArgumentPrototype

    public org.eclipse.emf.ecore.EClass getFArgumentPrototype()

  Specified by:
    `getFArgumentPrototype` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FArgument Prototype'.
  See Also:
    `FArgumentPrototype`

### getFArgumentPrototype_InputFunction

    public org.eclipse.emf.ecore.EReference getFArgumentPrototype_InputFunction()

  Specified by:
    `getFArgumentPrototype_InputFunction` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the container reference 'Input Function'.
  See Also:
    `FArgumentPrototype.getInputFunction()`, `MetaABMFunctionPackage.getFArgumentPrototype()`

### getFArgumentPrototype_OutputFunction

    public org.eclipse.emf.ecore.EReference getFArgumentPrototype_OutputFunction()

  Specified by:
    `getFArgumentPrototype_OutputFunction` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the container reference 'Output Function'.
  See Also:
    `FArgumentPrototype.getOutputFunction()`, `MetaABMFunctionPackage.getFArgumentPrototype()`

### getFArgumentPrototype_Optional

    public org.eclipse.emf.ecore.EAttribute getFArgumentPrototype_Optional()

  Specified by:
    `getFArgumentPrototype_Optional` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the attribute 'Optional'.
  See Also:
    `FArgumentPrototype.isOptional()`, `MetaABMFunctionPackage.getFArgumentPrototype()`

### getFArgumentArrayPrototype

    public org.eclipse.emf.ecore.EClass getFArgumentArrayPrototype()

  Specified by:
    `getFArgumentArrayPrototype` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FArgument Array Prototype'.
  See Also:
    `FArgumentArrayPrototype`

### getFFunction

    public org.eclipse.emf.ecore.EClass getFFunction()

  Specified by:
    `getFFunction` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FFunction'.
  See Also:
    `FFunction`

### getFFunction_AvailableTypes

    public org.eclipse.emf.ecore.EAttribute getFFunction_AvailableTypes()

  Specified by:
    `getFFunction_AvailableTypes` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the attribute list 'Available Types'.
  See Also:
    `FFunction.getAvailableTypes()`, `MetaABMFunctionPackage.getFFunction()`

### getFFunction_InputPrototypes

    public org.eclipse.emf.ecore.EReference getFFunction_InputPrototypes()

  Specified by:
    `getFFunction_InputPrototypes` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the containment reference list 'Input Prototypes'.
  See Also:
    `FFunction.getInputPrototypes()`, `MetaABMFunctionPackage.getFFunction()`

### getFFunction_MultiValue

    public org.eclipse.emf.ecore.EAttribute getFFunction_MultiValue()

  Specified by:
    `getFFunction_MultiValue` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the attribute 'Multi Value'.
  See Also:
    `FFunction.isMultiValue()`, `MetaABMFunctionPackage.getFFunction()`

### getFLogical

    public org.eclipse.emf.ecore.EClass getFLogical()

  Specified by:
    `getFLogical` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FLogical'.
  See Also:
    `FLogical`

### getFOperator

    public org.eclipse.emf.ecore.EClass getFOperator()

  Specified by:
    `getFOperator` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FOperator'.
  See Also:
    `FOperator`

### getFOperator_Symbol

    public org.eclipse.emf.ecore.EAttribute getFOperator_Symbol()

  Specified by:
    `getFOperator_Symbol` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `FOperator.getSymbol()`, `MetaABMFunctionPackage.getFOperator()`

### getFOperator_Arity

    public org.eclipse.emf.ecore.EAttribute getFOperator_Arity()

  Specified by:
    `getFOperator_Arity` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the attribute 'Arity'.
  See Also:
    `FOperator.getArity()`, `MetaABMFunctionPackage.getFOperator()`

### getFLogicalOperator

    public org.eclipse.emf.ecore.EClass getFLogicalOperator()

  Specified by:
    `getFLogicalOperator` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FLogical Operator'.
  See Also:
    `FLogicalOperator`

### getFGeneric

    public org.eclipse.emf.ecore.EClass getFGeneric()

  Specified by:
    `getFGeneric` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FGeneric'.
  See Also:
    `FGeneric`

### getFGenericFunction

    public org.eclipse.emf.ecore.EClass getFGenericFunction()

  Specified by:
    `getFGenericFunction` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FGeneric Function'.
  See Also:
    `FGenericFunction`

### getFGenericFunction_OutputPrototypes

    public org.eclipse.emf.ecore.EReference getFGenericFunction_OutputPrototypes()

  Specified by:
    `getFGenericFunction_OutputPrototypes` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the containment reference list 'Output Prototypes'.
  See Also:
    `FGenericFunction.getOutputPrototypes()`, `MetaABMFunctionPackage.getFGenericFunction()`

### getFGenericLogical

    public org.eclipse.emf.ecore.EClass getFGenericLogical()

  Specified by:
    `getFGenericLogical` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FGeneric Logical'.
  See Also:
    `FGenericLogical`

### getFLibrary

    public org.eclipse.emf.ecore.EClass getFLibrary()

  Specified by:
    `getFLibrary` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FLibrary'.
  See Also:
    `FLibrary`

### getFLibrary_Functions

    public org.eclipse.emf.ecore.EReference getFLibrary_Functions()

  Specified by:
    `getFLibrary_Functions` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the containment reference list 'Functions'.
  See Also:
    `FLibrary.getFunctions()`, `MetaABMFunctionPackage.getFLibrary()`

### getFLibrary_Subs

    public org.eclipse.emf.ecore.EReference getFLibrary_Subs()

  Specified by:
    `getFLibrary_Subs` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for the containment reference list 'Subs'.
  See Also:
    `FLibrary.getSubs()`, `MetaABMFunctionPackage.getFLibrary()`

### getFImplementedLibrary

    public org.eclipse.emf.ecore.EClass getFImplementedLibrary()

  Specified by:
    `getFImplementedLibrary` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FImplemented Library'.
  See Also:
    `FImplementedLibrary`

### getFMultiArgumentPrototype

    public org.eclipse.emf.ecore.EClass getFMultiArgumentPrototype()

  Specified by:
    `getFMultiArgumentPrototype` in interface `MetaABMFunctionPackage`
  Returns:
    the meta object for class 'FMulti Argument Prototype'.
  See Also:
    `FMultiArgumentPrototype`

### getMetaABMFunctionFactory

    public MetaABMFunctionFactory getMetaABMFunctionFactory()

  Specified by:
    `getMetaABMFunctionFactory` in interface `MetaABMFunctionPackage`
  Returns:
    the factory that creates the instances of the model.

### fixPackageContents

    public void fixPackageContents()

  Fixes up the loaded package, to make it appear as if it had been programmatically built.

### fixInstanceClass

    protected void fixInstanceClass(org.eclipse.emf.ecore.EClassifier eClassifier)

  Sets the instance class on the given classifier.

  Overrides:
    `fixInstanceClass` in class `org.eclipse.emf.ecore.impl.EPackageImpl`